SDL_GetTLS(3)

NAME
SDL_GetTLS - Get the current thread's value associated with a thread local storage ID.

SYNOPSIS
#include <SDL3/SDL_thread.h>

void * SDL_GetTLS(SDL_TLSID *id);

FUNCTION PARAMETERS

id  a pointer to the thread local storage ID, may not be NULL.

RETURN VALUE
for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SetTLS(3)